---
lang: en
title: 'API docs: core.extensionfilter'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.core.extensionfilter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [extensionFilter](./core.extensionfilter.md)

## extensionFilter() function

A factory function to create binding filter for extensions of a named extension point

<b>Signature:</b>

```typescript
export declare function extensionFilter(extensionPointName: string): import("@loopback/context").BindingFilter<unknown>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  extensionPointName | <code>string</code> | Name of the extension point |

<b>Returns:</b>

`import("@loopback/context").BindingFilter<unknown>`


